Bug 680566 - [abrt] rednotebook-1.1.2-1.fc14: journal.py:368:exit:RuntimeError: called outside of a mainloop
Summary: [abrt] rednotebook-1.1.2-1.fc14: journal.py:368:exit:RuntimeError: called out...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rednotebook
Version: 14
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:b5b036e0
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-25 22:23 UTC by Gryphon143
Modified: 2011-03-17 18:47 UTC (History)
2 users (show)

Fixed In Version: rednotebook-1.1.3-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-17 03:25:49 UTC


Attachments (Terms of Use)
File: backtrace (644 bytes, text/plain)
2011-02-25 22:23 UTC, Gryphon143
no flags Details

Description Gryphon143 2011-02-25 22:23:05 UTC
abrt version: 1.1.17
architecture: x86_64
cmdline: /usr/bin/python /usr/bin/rednotebook
component: rednotebook
executable: /usr/bin/rednotebook
kernel: 2.6.35.10-74.fc14.x86_64
package: rednotebook-1.1.2-1.fc14
reason: journal.py:368:exit:RuntimeError: called outside of a mainloop
release: Fedora release 14 (Laughlin)
time: 1297609209
uid: 500

backtrace
-----
journal.py:368:exit:RuntimeError: called outside of a mainloop

Traceback (most recent call last):
  File "/usr/bin/rednotebook", line 12, in <module>
    rednotebook.journal.main()
  File "/usr/lib/python2.7/site-packages/rednotebook/journal.py", line 703, in main
    gtk.main()
  File "/usr/lib/python2.7/site-packages/rednotebook/util/utils.py", line 197, in signal_handler
    journal.exit()
  File "/usr/lib/python2.7/site-packages/rednotebook/journal.py", line 368, in exit
    gtk.main_quit()
RuntimeError: called outside of a mainloop

Local variables in innermost frame:
self: <rednotebook.journal.Journal instance at 0x7f01e0fd0440>

How to reproduce
-----
1.
2.
3.
when using

Comment 1 Gryphon143 2011-02-25 22:23:08 UTC
Created attachment 481096 [details]
File: backtrace

Comment 2 Fedora Update System 2011-03-06 15:11:30 UTC
rednotebook-1.1.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rednotebook-1.1.3-1.fc14

Comment 3 Fedora Update System 2011-03-06 15:11:52 UTC
rednotebook-1.1.3-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/rednotebook-1.1.3-1.fc15

Comment 4 Fedora Update System 2011-03-06 17:46:05 UTC
rednotebook-1.1.3-1.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rednotebook'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/rednotebook-1.1.3-1.fc15

Comment 5 Fedora Update System 2011-03-17 03:25:35 UTC
rednotebook-1.1.3-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2011-03-17 18:46:56 UTC
rednotebook-1.1.3-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.